
--/callluafunc </F>User_PlayPlot</N>10
--设置视角
CppScriptMgr:SetViewPosByCell(39, 40)
--制造一个玩家外形的npc
local hero = CppScriptMgr:QueryHero()


CppScriptMgr:SetLightScreen(3000)
local hero = CppScriptMgr:QueryHero()
hero:SetPos(45,46)
hero:SetDir(3)
--local Lord = CppScriptMgr:AddSimplePlayer(1058387, 33, 34, "Night Lord", 4003000070,1)
--设置信徒npc
local npc1 = CppScriptMgr:AddSimplePlayer(1059771, 41,27,"", 4003000071,1)
local npc2 = CppScriptMgr:AddSimplePlayer(1059762, 45,36,"", 4003000072,1)
local npc3 = CppScriptMgr:AddSimplePlayer(1051153, 44,41,"", 4003000073,1)
local npc4 = CppScriptMgr:AddSimplePlayer(1051143, 40,45,"", 4003000074,1)
local npc5 = CppScriptMgr:AddSimplePlayer(1051224, 34,46,"", 4003000075,1)
local npc6 = CppScriptMgr:AddSimplePlayer(1050805, 27,41,"", 4003000076,1)
npc1:SetDir(1)
npc2:SetDir(2)
npc3:SetDir(3)
npc4:SetDir(3)
npc5:SetDir(4)
npc6:SetDir(5)

CppScriptMgr:WaitMilSec(1500)
npc1:Say("No fear, no Halloween!",1500)
npc2:Say("No fear, no Halloween!",1500)
npc3:Say("No fear, no Halloween!",1500)
npc4:Say("No fear, no Halloween!",1500)
npc5:Say("No fear, no Halloween!",1500)
npc6:Say("No fear, no Halloween!",1500)
CppScriptMgr:WaitMilSec(2000)

npc1:Say("No fear, no Halloween!",1500)
npc2:Say("No fear, no Halloween!",1500)
npc3:Say("No fear, no Halloween!",1500)
npc4:Say("No fear, no Halloween!",1500)
npc5:Say("No fear, no Halloween!",1500)
npc6:Say("No fear, no Halloween!",1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetViewPosByCell(33, 34)
CppScriptMgr:AddEffect("zf2-e128",33,34)
--
npc1:Say("Welcome! My hero!",3000)
npc2:Say("Welcome! My hero!",3000)
npc3:Say("Welcome! My hero!",3000)
npc4:Say("Welcome! My hero!",3000)
npc5:Say("Welcome! My hero!",3000)
npc6:Say("Welcome! My hero!",3000)
CppScriptMgr:WaitMilSec(300)
npc1:SetAction(220)
npc2:SetAction(220)
npc3:SetAction(220)
npc4:SetAction(220)
npc5:SetAction(220)
npc6:SetAction(220)

CppScriptMgr:WaitMilSec(500)
local Lord = CppScriptMgr:AddSimplePlayer(1051237, 33, 34, "Night Lord", 4003000070,1)
Lord:SetZoomPercent(115)
CppScriptMgr:WaitMilSec(1000)
hero:RunTo(39,40)
hero:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
Lord:Say("I can smell the scent of nightmare.", 2000)
CppScriptMgr:WaitMilSec(2000)
hero:Say("Who are you?", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Are you my new follower? I`m the Night Lord, and I`m in charge of the nightmares of all [English] heroes!\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc184", 150, 430, "Night Lord", 250, 655)
CppScriptMgr:WaitMilSec(3000)
hero:Say("I see...", 2000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("Disapear1",39,40)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("Disapear1",39,40)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1900)

